Name:          libdmapsharing
Version:       2.9.37
Release:       7
Summary:       A library of DMAP
License:       LGPLv2+
URL:           http://www.flyn.org/projects/libdmapsharing/
Source:        http://www.flyn.org/projects/libdmapsharing/libdmapsharing-%{version}.tar.gz
BuildRequires: pkgconfig glib2-devel libsoup-devel >= 2.32 gdk-pixbuf2-devel
BuildRequires: gstreamer1-plugins-base-devel pkgconfig(avahi-client)
BuildRequires: pkgconfig(avahi-glib) vala-tools libgee-devel

%description
Libdmapsharing is a library which allows programs to access, share and
control the playback of media content using DMAP.

%package   devel
Summary:   Development files for libdmapsharing
Requires:  libdmapsharing = %{version}-%{release}
Provides:  libdmapsharing-vala = %{version}-%{release}
Obsoletes: libdmapsharing-vala < %{version}-%{release}

%description devel
libdmapsharing implements the DMAP protocols. This includes support for
DAAP and DPAP.  This package provides the libraries, include files, Vala language
bindings and other resources needed for developing applications using libdmapsharing.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-tests --disable-check
%make_build

%install
%make_install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libdmapsharing-3.0.so.*
%exclude %{_libdir}/libdmapsharing-3.0.la

%files devel
%{_includedir}/libdmapsharing-3.0/
%{_libdir}/{pkgconfig/libdmapsharing-3.0.pc,libdmapsharing-3.0.so}
%{_libdir}/girepository-1.0/DMAP-3.0.typelib
%{_datadir}/{gtk-doc/html/libdmapsharing-3.0,gir-1.0/DMAP-3.0.gir}
%{_datadir}/vala/vapi/libdmapsharing-3.0.vapi

%changelog
* Wed Apr 15 2020 chengzihan <chengzihan2@huawei.com> - 2.9.37-7
- Package init
